<?php
global $wp_version;
// Make theme available for translation
// Translations can be found in the /languages/ directory
load_theme_textdomain( 'desk-mess-mirrored', TEMPLATEPATH . '/languages' );
 
$locale = get_locale();
$locale_file = TEMPLATEPATH . "/languages/$locale.php";
if ( is_readable($locale_file) )
	require_once($locale_file);
// End translation
	
// Get the page number
function get_page_number() {
  if ( get_query_var('paged') ) {
    print ' | ' . __( 'Page ' , 'desk-mess-mirrored') . get_query_var('paged');
  }
}
// end get_page_number

// Start Register Widgets
if ( function_exists('register_sidebar') ) 
  register_sidebars(3,array(
    /* 'id' => "sidebar-$i", */ /* Review after 3.0 */
    'description' => '',
    'before_widget' => '<li id="%1$s" class="widget %2$s">',
    'after_widget' => "</li>\n",
    'before_title' => '<h2 class="hl widgettitle">',
    'after_title' => "</h2>\n",
  ));
// End Register Widgets  

// Start Dynamic Copyright
function bns_dynamic_copyright() {
  /* Get all posts */
  $all_posts = get_posts('post_status=publish&order=ASC');
  /* Get first post */
  $first_post = $all_posts[0];
  /* Get date of first post */
  $first_date = $first_post->post_date_gmt;
  $first_year = substr($first_date,0,4);
  if ($first_year == '') {
    $first_year = date(Y);
  }

  /* Display common footer copyright notice */
  _e('Copyright &copy; ');
  /* Display first post year and current year */
  if ( $first_year == date(Y) ) {
  /* Only display current year if no posts in previous years */
    echo date(Y);
  } else {
    echo $first_year . "-" . date(Y);
  }
  /* Display blog name from 'General Settings' page */
  echo '  <strong>' . get_bloginfo('name') . '</strong>  ';
  _e('All rights reserved.');
}
// End Dynamic Copyright

// Start Theme Version
function bns_theme_version () {
  $theme_version = ''; /* Clear variable */
  /* Get details of the theme / child theme */
  $blog_css_url = get_stylesheet_directory() . '/style.css';
  $my_theme_data = get_theme_data($blog_css_url);
  $parent_blog_css_url = get_template_directory() . '/style.css';
  $parent_theme_data = get_theme_data($parent_blog_css_url);
  /* Create and append to string to be displayed */
  $theme_version .= '<br />' . $my_theme_data['Name'] . ' v' . $my_theme_data['Version'];
  if ($blog_css_url != $parent_blog_css_url) {
    $theme_version .= ' a child of the ' . $parent_theme_data['Name'] . ' v' . $parent_theme_data['Version'];
  }
  $theme_version .= ' theme from	<a href="http://buynowshop.com/" title="BuyNowShop.com">BuyNowShop.com</a>.';
  /* Display string */
  echo $theme_version;
}
// End Theme Version

// Start WordPress 3.0+ Functionality
/* Convoluted ... for now -> to be cleaned up */
if ( function_exists( add_theme_support ) ) {
	// This theme uses post thumbnails
 	add_theme_support( 'post-thumbnails' );

  if (version_compare($wp_version, "2.999", ">")) {  
  	// This theme uses wp_nav_menu()
  	add_theme_support( 'nav-menus' );
  
  	// Add default posts and comments RSS feed links to head
  	add_theme_support( 'automatic-feed-links' );
  	
  	// BNS Modified Post - requires WordPress version 3.0 or greater
    function bns_modified_post(){
      /* If the post date and the last modified date are different display modified date */
      if ( get_the_date() <> get_the_modified_date() ) {
        echo '<div class="bns-modified-post">'; /* CSS wrapper for modified date details */
        echo 'Last modified by ' . get_the_modified_author() . ' on ' . get_the_modified_date();
        echo '</div><!-- .bns-modified-post -->';
      }
    } /* BNS Modified Post */
  } /* version_compare */
} /* test add_theme_support */
// End WordPress 3.0+ Functionality

// Set the content width based on the theme's design and stylesheet, see #main-blog element in style.css
if ( ! isset( $content_width ) ) $content_width = 580;
?>
<?php /* Revision: April 23, 2010 v1.5.1 */ ?>